net.sourceforge.pmd.dcd

## Class ClassLoaderUtil

- java.lang.Object
- - net.sourceforge.pmd.dcd.ClassLoaderUtil

-     public class ClassLoaderUtil
      extends Object

  ClassLoader utilities. Useful for extracting additional details from a class hierarchy beyond the basic standard Java Reflection APIs.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLINIT`
    `static String` | `INIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassLoaderUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `fromInternalForm(String internalForm)`
    `static Class<?>` | `getClass(String name)`
    `static Constructor<?>` | `getConstructor(Class<?> type, String name, Class<?>... parameterTypes)`
    `static Field` | `getField(Class<?> type, String name)`
    `static Method` | `getMethod(Class<?> type, String name, Class<?>... parameterTypes)`
    `static String` | `getMethodSignature(String name, Class<?>... parameterTypes)`
    `static Class<?>[]` | `getParameterTypes(String... parameterTypeNames)`
    `static boolean` | `isOverridenMethod(Class<?> clazz, Method method, boolean checkThisClass)`
    `static String` | `toInternalForm(String internalForm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLINIT

          public static final String CLINIT

      See Also:
        Constant Field Values

    - #### INIT

          public static final String INIT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClassLoaderUtil

          public ClassLoaderUtil()

  - ### Method Detail

    - #### fromInternalForm

          public static String fromInternalForm(String internalForm)

    - #### toInternalForm

          public static String toInternalForm(String internalForm)

    - #### getClass

          public static Class<?> getClass(String name)

    - #### getField

          public static Field getField(Class<?> type,
                       String name)

    - #### getMethod

          public static Method getMethod(Class<?> type,
                         String name,
                         Class<?>... parameterTypes)

    - #### getConstructor

          public static Constructor<?> getConstructor(Class<?> type,
                                      String name,
                                      Class<?>... parameterTypes)

    - #### getMethodSignature

          public static String getMethodSignature(String name,
                                  Class<?>... parameterTypes)

    - #### getParameterTypes

          public static Class<?>[] getParameterTypes(String... parameterTypeNames)

    - #### isOverridenMethod

          public static boolean isOverridenMethod(Class<?> clazz,
                                  Method method,
                                  boolean checkThisClass)

Copyright © 2002-2013 InfoEther. All Rights Reserved.